package com.qmth.themis.business.bean.mobile;

import com.qmth.themis.business.enums.MonitorVideoSourceEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("登录返回信息")
public class MobileAuthorizationMonitorBean extends MobileAuthorizationBean {

    @ApiModelProperty("监控线路标识")
    private String monitorKey;

    @ApiModelProperty("当前设备代表的视频源: mobile_first|mobile_second")
    private MonitorVideoSourceEnum monitorVideoSource;

    @ApiModelProperty("是否启用当前设备的音频播放与麦克风采集")
    private Boolean monitorAudioEnable;

    @ApiModelProperty("加入房间用户ID")
    private String monitorUserId;

    @ApiModelProperty("用户认证签名")
    private String monitorUserSig;

    @ApiModelProperty("腾讯云SDK APP ID")
    private String monitorAppId;

    @ApiModelProperty("CDN线路id")
    private String monitorStreamId;

    @ApiModelProperty("转录id")
    private String monitorRecordId;

    @ApiModelProperty(value = "是否允许考生发起语音通话，0：否，1：是")
    private Integer examStudentCallEnable = 1;

    public Integer getExamStudentCallEnable() {
        return examStudentCallEnable;
    }

    public void setExamStudentCallEnable(Integer examStudentCallEnable) {
        this.examStudentCallEnable = examStudentCallEnable;
    }

    public String getMonitorRecordId() {
        return monitorRecordId;
    }

    public void setMonitorRecordId(String monitorRecordId) {
        this.monitorRecordId = monitorRecordId;
    }

    public String getMonitorStreamId() {
        return monitorStreamId;
    }

    public void setMonitorStreamId(String monitorStreamId) {
        this.monitorStreamId = monitorStreamId;
    }

    public String getMonitorAppId() {
        return monitorAppId;
    }

    public void setMonitorAppId(String monitorAppId) {
        this.monitorAppId = monitorAppId;
    }

    public String getMonitorUserId() {
        return monitorUserId;
    }

    public void setMonitorUserId(String monitorUserId) {
        this.monitorUserId = monitorUserId;
    }

    public String getMonitorUserSig() {
        return monitorUserSig;
    }

    public void setMonitorUserSig(String monitorUserSig) {
        this.monitorUserSig = monitorUserSig;
    }

    public String getMonitorKey() {
        return monitorKey;
    }

    public void setMonitorKey(String monitorKey) {
        this.monitorKey = monitorKey;
    }

    public MonitorVideoSourceEnum getMonitorVideoSource() {
        return monitorVideoSource;
    }

    public void setMonitorVideoSource(MonitorVideoSourceEnum monitorVideoSource) {
        this.monitorVideoSource = monitorVideoSource;
    }

    public Boolean getMonitorAudioEnable() {
        return monitorAudioEnable;
    }

    public void setMonitorAudioEnable(Boolean monitorAudioEnable) {
        this.monitorAudioEnable = monitorAudioEnable;
    }

}
